[bug report] gcc-2.95.1 on Solaris x86 2.5

Alexandre Oliva olivaATlsd.ic.unicamp.br
Fri Sep 17 14:22:00 GMT 1999


On Sep 17, 1999, I Lee Hetherington <ilh@sls.lcs.mit.edu> wrote:

> -gdwarf-2 works fine with gdb 4.17; I just tested it.  What were you
> saying about != 4.18?

4.18 doesn't work on Solaris 7/x86, at least for me.

> I don't have dbx either.  I only care about gdb and its derivatives.

Well, some people may do.

BTW, compiling --with-stabs is indeed likely to fix the problem,
because then -g will be -gstabs by default.  Maybe we should enable
this by default on Solaris/x86, at least until -gdwarf is fixed.

Patch to come.

-- 
Alexandre Oliva http://www.dcc.unicamp.br/~oliva IC-Unicamp, Bra[sz]il
oliva@{lsd.ic.unicamp.br,guarana.{org,com}} aoliva@{acm,computer}.org
oliva@{gnu.org,kaffe.org,{egcs,sourceware}.cygnus.com,samba.org}
** I may forward mail about projects to mailing lists; please use them



More information about the Gcc-bugs mailing list